List the actions automations can use (staff)
GET /api/automations/actions. List the actions automations can use (staff). Headless LMS Automations API reference.
Staff only (owner, admin, instructor).
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/automations/actions"[ { "type": "string", "description": "string", "inputSchema": { "property1": null, "property2": null }, "source": "string" }]{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Create a workflow automation (staff) POST
POST /api/automations. Create a workflow automation (staff). Headless LMS Automations API reference.
List the domain events automations can react to (staff) GET
GET /api/automations/triggers. List the domain events automations can react to (staff). Headless LMS Automations API reference.